ubuntu-location-service: com::ubuntu::location::Accuracy< T > Struct Template Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com::ubuntu::location::Accuracy< T > Struct Template Reference

`#include <accuracy.h>`

Collaboration diagram for com::ubuntu::location::Accuracy< T >:

## Public Types
typedef T::Unit | Unit
typedef T::Quantity | Quantity

## Public Member Functions
AccuracyLevel | classify () const

## Static Public Member Functions
static Accuracy< T > | best ()
static Accuracy< T > | worst ()

## Public Attributes
T | value

## Detailed Description

### template<typename T>
struct com::ubuntu::location::Accuracy< T >

Definition at line 51 of file accuracy.h.

## Member Typedef Documentation

## ◆ Quantity

template<typename T >

typedef T::Quantity com::ubuntu::location::Accuracy< T >::Quantity

Definition at line 54 of file accuracy.h.

## ◆ Unit

template<typename T >

typedef T::Unit com::ubuntu::location::Accuracy< T >::Unit

Definition at line 53 of file accuracy.h.

## Member Function Documentation

## ◆ best()

template<typename T >

static Accuracy<T> com::ubuntu::location::Accuracy< T >::best | ( |  | ) |
| inlinestatic

Definition at line 56 of file accuracy.h.

References com::ubuntu::location::AccuracyTraits< T >::best().

Here is the call graph for this function:

## ◆ classify()

template<typename T >

AccuracyLevel com::ubuntu::location::Accuracy< T >::classify | ( |  | ) | const
| inline

Definition at line 59 of file accuracy.h.

References com::ubuntu::location::AccuracyTraits< T >::classify(), and com::ubuntu::location::Accuracy< T >::value.

Here is the call graph for this function:

## ◆ worst()

template<typename T >

static Accuracy<T> com::ubuntu::location::Accuracy< T >::worst | ( |  | ) |
| inlinestatic

Definition at line 57 of file accuracy.h.

References com::ubuntu::location::AccuracyTraits< T >::worst().

Here is the call graph for this function:

## Member Data Documentation

## ◆ value

template<typename T >

T com::ubuntu::location::Accuracy< T >::value

Definition at line 64 of file accuracy.h.

Referenced by com::ubuntu::location::Accuracy< T >::classify(), and com::ubuntu::location::operator<<().

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/accuracy.h